--- ruby.SlackBuild	2006-07-26 16:32:56.000000000 -0400
+++ ruby.SlackBuild.s390x	2006-09-07 17:04:32.000000000 -0400
@@ -17,7 +17,7 @@
   SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
 elif [ "$ARCH" = "i486" ]; then
   SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
+elif [ "$ARCH" = "s390x" ]; then
   SLKCFLAGS="-O2"
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2"
@@ -43,6 +43,7 @@
 CFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
+  --libdir='${exec_prefix}/lib64' \
   --mandir=/usr/man \
   --datadir=/usr/share \
   --enable-shared \
@@ -52,7 +53,14 @@
 
 make -j3 || exit 1
 make install DESTDIR=$PKG
-
+# Fix up some brain deadness.  If this isn't done, ruby can't find the .rb files, since it
+# installs them in /usr/lib64/ruby/... but _looks_ for them in /usr/lib/ruby/...  Duh
+( cd $PKG/usr/lib/ruby
+  mv -vi site_ruby ../../lib64/ruby
+  cd ..
+  rmdir -v ruby
+  ln -s ../lib64/ruby ruby
+)
 mkdir -p $PKG/usr/doc/ruby-$VERSION
 cp -a \
   COPYING COPYING.ja GPL LEGAL LGPL README README.EXT README.EXT.ja README.ja ToDo \
